#!/bin/bash
#
#  Copyright 2010 Rackspace US, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.


function dh_init() { 
  statefile=$1
  p=$2
  g=$3

  $AGENTSMITHLIB/dh init $statefile $p $g
}

function dh_compute() { 
  statefile=$1
  key=$2

  $AGENTSMITHLIB/dh compute $statefile $key
}

function dh_key_init() { 
  received_public_key=$1
  statefile=${TEMP}/dh_statefile
  shared_key_file=${TEMP}/dh_shared_key
  umask 077
  touch $statefile

  dh_init $statefile "162259276829213363391578010288127" "5"
  dh_compute $statefile $received_public_key > $shared_key_file

  # Get our public key and kick it back to QB as JSON
  echo `grep pub_key $statefile | cut -d ':' -f 2 | sed -e 's/ //'`
}
