function ubuntu_network_config() { 
    UBUNTU_NETWORK_PATH="/etc/network"
    UBUNTU_NETWORK_FILE="${ROOT}/${UBUNTU_NETWORK_PATH}/interfaces"
    TEMP_NETWORK_FILE="${TEMP}/${UBUNTU_NETWORK_PATH}/interfaces"

    backupfile="$(make_backup $UBUNTU_NETWORK_FILE)"

    if ! [ -f "${backupfile}" ]
    then
        exit 1
    fi

    if [ ! -d ${TEMP}/${UBUNTU_NETWORK_PATH} ]; then
        mkdir -p ${TEMP}/${UBUNTU_NETWORK_PATH}
    fi

    cat > ${TEMP_NETWORK_FILE} <<LOCALHOST
# Used by ifup(8) and ifdown(8). See the interfaces(5) manpage or
# /usr/share/doc/ifupdown/examples for more information.
# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
# Uncomment this and configure after the system has booted for the first time
LOCALHOST

    public_address_count=0
    public_address_iface=''
    for address in ${public_addresses[@]}; do
        parse_multi_key_line $address

        if [ $public_address_count -gt 0 ]; then
            public_address_iface=":${public_address_count}"
        fi

        echo "auto eth0${public_address_iface}" >> $TEMP_NETWORK_FILE
        if [ $enabled -eq 1 ]; then
            echo "iface eth0${public_address_iface} inet static" >> $TEMP_NETWORK_FILE
        fi

        cat >> $TEMP_NETWORK_FILE <<PUBLIC_ADDRESS
    address ${ip}
    netmask ${netmask}
PUBLIC_ADDRESS
        
        if [ $public_address_count -eq 0 ]; then
          echo "gateway $gateway" >> $TEMP_NETWORK_FILE
          echo "dns-nameservers ${dns[@]}" >> $TEMP_NETWORK_FILE
        fi

        echo >> $TEMP_NETWORK_FILE
        unset ip netmask enabled
        let public_address_count=$public_address_count+1
    done

    if [ ${#private_addresses[@]} -eq 1 ]; then
      parse_multi_key_line ${private_addresses[0]}
      echo ${private_address}

      cat >> $TEMP_NETWORK_FILE <<PRIVATE_ADDRESS
auto eth1
iface eth1 inet static
    address ${ip}
    netmask ${netmask}
PRIVATE_ADDRESS


      for route in ${routes[@]}; do 
          parse_multi_key_line $route
          cat >> $TEMP_NETWORK_FILE <<PRIVATE_ROUTE
up route add -net $route netmask $netmask gw $gateway
down route del -net $route netmask $netmask gw $gateway
PRIVATE_ROUTE
          
          unset route netmask gateway
      done
    fi

    mv $TEMP_NETWORK_FILE $UBUNTU_NETWORK_FILE
    rmdir ${TEMP}/${UBUNTU_NETWORK_PATH}/
    rmdir ${TEMP}/etc/

    unset public_address_count public_address_iface
}
