function gentoo_network_config() { 
    GENTOO_NETWORK_PATH="/etc/conf.d"
    GENTOO_NETWORK_FILE="${ROOT}/${GENTOO_NETWORK_PATH}/net"
    TEMP_NETWORK_FILE="${TEMP}/${GENTOO_NETWORK_PATH}/net"

    backupfile="$(make_backup $GENTOO_NETWORK_FILE)"

    if ! [ -f "${backupfile}" ]
    then
        exit 1
    fi

    if [ -d ${TEMP}/${GENTOO_NETWORK_PATH} ]; then
      # do nothing
      echo
    else 
      mkdir -p ${TEMP}/${GENTOO_NETWORK_PATH}
    fi

    cat > $TEMP_NETWORK_FILE << INITIAL
modules=( "ifconfig" )
config_eth0=(
INITIAL

    # public interface
    for address in ${public_addresses[@]}; do
        parse_multi_key_line $address

        if [ $enabled -eq 1 ]; then 
            cat >> $TEMP_NETWORK_FILE <<ADDRESS
                "$ip netmask $netmask"
ADDRESS
        fi

      unset ip netmask enabled
    done

    echo ")" >> $TEMP_NETWORK_FILE

    # Private address interface
    if [ ${#private_addresses[@]} -eq 1 ]; then 
        parse_multi_key_line ${private_addresses[0]}

        cat >> $TEMP_NETWORK_FILE <<PRIVATE
config_eth1=("$ip netmask $netmask")
PRIVATE
        unset ip netmask enabled
    fi

    # Routes
    cat >> $TEMP_NETWORK_FILE <<PUBLIC_ROUTES
routes_eth0=( 
       # IPv4 default route
       "default via $gateway"
)
PUBLIC_ROUTES

    #PRIVATE ROUTES
    if [ ${#routes[@]} -gt 0 ]; then
        echo "routes_eth1=(" >> $TEMP_NETWORK_FILE
        for route in ${routes[@]}; do 
            parse_multi_key_line $route
            cat >> $TEMP_NETWORK_FILE <<PRIVATE_ROUTE
                "$route netmask $netmask gw $gateway"
PRIVATE_ROUTE
            
            unset route netmask gateway
        done
    echo ")" >> $TEMP_NETWORK_FILE
    fi


    mv $TEMP_NETWORK_FILE $GENTOO_NETWORK_FILE
    rmdir $TEMP/${GENTOO_NETWORK_PATH}
    rmdir $TEMP/${GENTOO_NETWORK_PATH%%conf.d}
}
