function redhat_network_config() {
    REDHAT_CONFIG_PATH="/etc/sysconfig/"
    REDHAT_NETWORK_FILE="network"
    TEMP_PUBLIC_INTERFACE="${TEMP}/${REDHAT_CONFIG_PATH}/network-scripts/ifcfg-eth0"
    TEMP_PRIVATE_INTERFACE="${TEMP}/${REDHAT_CONFIG_PATH}/network-scripts/ifcfg-eth1"

    if [ ! -d "${TEMP}/${REDHAT_CONFIG_PATH}/network-scripts" ]; then 
        mkdir -p ${TEMP}/${REDHAT_CONFIG_PATH}/network-scripts
    fi

    cat > ${TEMP}/${REDHAT_CONFIG_PATH}/${REDHAT_NETWORK_FILE} <<ETC_NETWORK
NETWORKING=yes
HOSTNAME=${hostname}
GATEWAY=${gateway}
ETC_NETWORK

    # CONFIGURE PUBLIC INTERFACES
    public_address_count=0
    public_address_iface=''
    for address in ${public_addresses[@]}; do
        parse_multi_key_line $address

        if [ $public_address_count -gt 0 ]; then
            public_address_iface=":${public_address_count}"
        fi

        cat > ${TEMP_PUBLIC_INTERFACE}${public_address_iface} <<PUBLIC_INTERFACE
DEVICE=eth0${public_address_iface}
BOOTPROTO=static
IPADDR=${ip}
NETMASK=${netmask}
PUBLIC_INTERFACE

        if [ $enabled -eq 1 ]; then 
          echo "ONBOOT=YES" >> ${TEMP_PUBLIC_INTERFACE}${public_address_iface}  
        fi

        unset ip netmask enabled
        let public_address_count=$public_address_count+1
    done

    # CONFIGURE PRIVATE INTERFACE AND ROUTES IF EXIST
    if [ ${#private_addresses[@]} -eq 1 ]; then
        parse_multi_key_line ${private_addresses[0]}

        cat > ${TEMP_PRIVATE_INTERFACE} <<PRIVATE_INTERFACE
DEVICE=eth1
BOOTPROTO=static
IPADDR=$ip
NETMASK=$netmask
PRIVATE_INTERFACE

        #ROUTES
        for route in ${routes[@]}; do
            parse_multi_key_line $route
            cat > ${TEMP}/${REDHAT_CONFIG_PATH}/static-routes <<STATIC_ROUTES
any net ${route} netmask ${netmask} gw ${gateway}
STATIC_ROUTES
            unset route netmask gateway
        done
    fi

    cp -R "${TEMP}/${REDHAT_CONFIG_PATH}" "${ROOT}/${REDHAT_CONFIG_PATH}"
    rm -rf "${TEMP}/etc"

    unset public_address_count public_address_iface
}
