#!/bin/sh
#
#  Copyright 2010 Rackspace US, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

ORIGPATH=$PATH

failure=0
export AGENTSMITHDIR="$(pwd)/../.."

#for testid in ubuntu_network_config
for testid in $(ls t/)
do
  if [ "$testid" = "skel" ]
  then
      continue
  fi

	export ROOT="`pwd`/t/$testid/root/"
	export PATH="$ROOT/usr/bin:/bin:/usr/bin"

	expected_output="r/$testid"
  if [ -x "$ROOT/../run.sh" ]; then
    $ROOT/../run.sh < $ROOT/../config

    if diff -ur --exclude *.backup.* "$expected_output" "$ROOT"; then
      echo Test ID $testid succeeded
    else
      echo " *** Test ID $testid failed"
      failure=1
    fi
  else 
    echo Test ID $testid does not have a test!
    failure=1
  fi

  if [ -e $ROOT/outfile ]; then 
    rm $ROOT/outfile
  fi
done

exit $failure 
