#!/bin/sh
#
#  Copyright 2010 Rackspace US, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

ORIGPATH=$PATH

failure=0
AGENTSMITHDIR="$(pwd)/../.."
export AGENTSMITHDIR

for testid in $(ls t)
do
    if [ "$testid" = "skel" ]
    then
        continue
    fi
	ROOT="`pwd`/t/$testid"
	PATH="$ROOT/usr/bin:/bin"
	export ROOT

	actual_output="$(../../detect_os.sh)"
	expected_output="$(cat r/$testid)"

	if [ "$actual_output" = "$expected_output" ]
	then
		echo Test ID $testid succeeded
	else
		echo " *** Test ID $testid failed"
		echo "Expected output:"
		echo
		echo "$expected_output"
		echo
		echo "But got:"
		echo
		echo "$actual_output"
		echo
		sh -x ../../detect_os.sh
		failure=1
	fi
done

if [ $failure -ne 0 ]
then
	exit 1
else
	exit 0
fi
