#!/bin/sh
#
#  Copyright 2010 Rackspace US, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

ORIGPATH=$PATH

failure=0
export AGENTSMITHDIR="$(pwd)/../.."

for testid in $(ls t)
do
    export ROOT="`pwd`/t/$testid/root/"
    export PATH="$ROOT/usr/bin:/bin:/usr/bin"

    $AGENTSMITHDIR/generate_host_keys.sh
    expected_output="$( ls "r/$testid/etc/ssh" )"
    actual_output="$( ls "$ROOT/etc/ssh" )"

    if [ "$expected_output" = "${actual_output}" ] ; then 
        echo Test ID $testid succeeded
    else 
        echo Test ID $testid failed!
        failure=1
    fi
done

exit $failure 
