#!/bin/sh
#
#  Copyright 2010 Rackspace US, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

failure=0
export AGENTSMITHDIR="$(pwd)/../.."

. $AGENTSMITHDIR/reset_password.sh

for testid in $(ls t)
do
    export TEMP="`pwd`/t/$testid/"

    actual_output=`decrypt $(cat $TEMP/encrypted_string)`
    expected_output=$(cat r/$testid/output_file)

    if [ "$actual_output" = "$expected_output" ]; then
      echo Test ID $testid succeeded
    else
      echo Test ID $testid failed!
      echo "Expected: " $expected_output
      echo "Got: " $actual_output
      failure=1
    fi
done

exit $failure 
