#!/bin/sh
#
#  Copyright 2010 Rackspace US, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

failure=0
AGENTSMITHDIR="$(pwd)/../.."
export AGENTSMITHDIR

for testid in $(ls t)
do
    if echo "$testid" | grep -q "\.disabled$"
    then
        continue
    fi
	TESTDIR="`pwd`/t/$testid"
	ROOT="`pwd`/active-test"
	rm -rf "$ROOT"
	cp -r "$TESTDIR" "$ROOT"
	export ROOT

	# run the script
	../../set_hostname.sh bar 123.123.123.213

	if diff -ur --exclude=*.backup.* "r/$testid" "$ROOT"
	then
		echo Test ID $testid succeeded
	else
		echo " *** Test ID $testid failed"
		failure=1
	fi
	rm -rf active-test
done

if [ $failure -ne 0 ]
then
	exit 1
else
	exit 0
fi
