#include <string.h>
#include <openssl/bio.h>
#include <openssl/evp.h>

int main(int argc, char *argv[]) {
    BIO *bio_in, *b64, *bio_out, *aes;
    char inbuf[512];
	unsigned char key[EVP_MAX_KEY_LENGTH], iv[EVP_MAX_IV_LENGTH];
    int inlen;
    const EVP_CIPHER *cipher;
	const char *passphrase;
	int encrypt = 0;
	int retval;

	if (!(passphrase =  getenv("PASSPHRASE"))) {
		fprintf(stderr, "No PASSPHRASE environment variable found.\n");
		return 1;
	}

	if (argc > 1 && strcmp(argv[1], "enc") == 0) {
		encrypt = 1;
	}

    bio_in = BIO_new_fp(stdin, BIO_NOCLOSE);
    aes = BIO_new(BIO_f_cipher());
    b64 = BIO_new(BIO_f_base64());
    bio_out = BIO_new_fp(stdout, BIO_NOCLOSE);

    cipher = EVP_aes_128_cbc();

    EVP_BytesToKey(cipher, EVP_md5(), NULL, (unsigned char *) passphrase, strlen(passphrase), 1, key, iv);

	BIO_set_cipher(aes, cipher, key, iv, encrypt);
	bio_in = BIO_push(encrypt ? aes : b64, bio_in);
	bio_out = BIO_push(encrypt ? b64 : aes, bio_out);

    while((inlen = BIO_read(bio_in, inbuf, 512)) > 0)
        BIO_write(bio_out, inbuf, inlen);

    retval = BIO_flush(bio_out);
    BIO_free_all(bio_in);
    BIO_free_all(bio_out);

	return retval;
}

