/*
 *  Copyright 2010 Rackspace US, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

#include <malloc.h>
#include <stdio.h>
#include "json.h"
#define BLOB_SIZE 4096

int main(int argc, char *argv[]) {
    char *buf = NULL;
    int bytes_read = 0;
    int bufsize = 0;
    char *seps = NULL;

    if (argc == 2)
        seps = argv[1];

    while (!feof(stdin)) {
		if (bufsize < bytes_read + BLOB_SIZE)
			buf = realloc(buf, bufsize + BLOB_SIZE);
        bytes_read += fread(buf+bytes_read, 1, BLOB_SIZE, stdin);
	}

	fprintf(stdout, "%s", reserialize_json(buf, seps));
	return 0;
}
