/*
 *  Copyright 2010 Rackspace US, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
#ifndef XEN_H
#define XEN_H

#define XS_MSG_INCOMING_BASE_PATH "data/host"
#define XS_MSG_OUTGOING_BASE_PATH "data/guest"

int xen_init(void);
void *xen_read_path(const char *path, unsigned int *buflen);
char **xen_read_dir(const char *path, unsigned int *buflen);
int xen_write_path(const char *path, void *buf, unsigned int buflen);
int xen_register_watch(const char *path, int (*callback)(const char *, const char *, const size_t, const char *), const char *data);
int xen_process_pending_events(void);

#endif /* XEN_H */
